/*{
	"type": "action",
	"targets": ["omnigraffle"],
	"author": "Nyhthawk Productions",
	"description": "Updates the contents of the selected solid with the contents of the Description field of the source FileMaker record.",
	"label": "Update Contents with Description",
	"shortLabel": "Update with Description"
}*/

var _ = function(){
	
	var action = new PlugIn.Action(function(selection, sender) {
		// action code
		cnvs = selection.canvas
		aShape = selection.solids[0]
		DBFILENAME = aShape.userData['DB-FILE-NAME']
		DBFILENAME = encodeURIComponent(DBFILENAME)
		DBIDFIELDNAME = aShape.userData['DB-ID-FIELD-NAME']
		DBIDFIELDVALUE = aShape.userData['DB-ID-FIELD-VALUE']
		FMSCRIPTNAME = 'Update Description'
		FMSCRIPTNAME = encodeURIComponent(FMSCRIPTNAME)
		urlStr = "fmp://$/" + DBFILENAME + "?script=" + FMSCRIPTNAME + "&$TARGETID=" + DBIDFIELDVALUE
		url = URL.fromString(urlStr)
		url.call(function(reply){})
	});

	action.validate = function(selection, sender) {
		// validation code
		if(selection.solids.length === 1){return true} else {return false}
	};
	
	return action;
}();
_;